%D_mesh_wp_listP
%mesh the DFT spectra of the discrete  wp from the list

WL=input('for wavelets input # of  level; for wavelet packets from the ListBB --0; ?')

if WL>0
    De=3*WL;
    list=[];
    
    for kk=1:WL
        A=[[kk 0 1];[kk 1 0];[kk 1 1]];
        list=[list;A];
    end
  list=[list;[kk 0 0]];  
else
    list=ListBB;
end

N=1024;
n=1:N/2;
[vli,~]=size(list);
De=max(list(:,1));
Par1=input('spline order;0--former; ?')

if Par1>0
    p=Par1;
end
 [GS]=D_wP_coefP(p,N,De);

     

 figure;
   for kk=1:vli;
     lev=list(kk,1);
     l=list(kk,2)+1;
     tl=list(kk,3)+1;
         qk=abs(GS{lev}{l});
         qm=abs(GS{lev}{tl});
        q=qk'*qm;
         mesh((q(n,n)));
         hold on;
     
 end
 